from fastapi import APIRouter

from app.api.v1.endpoints import auth, health, task_assignments, tasks, users

api_router = APIRouter()

api_router.include_router(health.router, prefix="/health", tags=["Health"])
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(tasks.router, prefix="/tasks", tags=["Tasks"])
api_router.include_router(
    task_assignments.router,
    prefix="/tasks",
    tags=["Task Assignments"]
)
