from fastapi import APIRouter
from starlette.responses import JSONResponse

from app.core.config import settings

router = APIRouter()


@router.get("/")
async def health_check():
    """
    Check if the API service is running properly
    """
    return JSONResponse(
        content={
            "status": "healthy",
            "version": settings.VERSION,
            "project": settings.PROJECT_NAME,
        }
    )
